org.apache.sysds.runtime.privacy

## Class CheckedConstraintsLog

- java.lang.Object
- - org.apache.sysds.runtime.privacy.CheckedConstraintsLog

-     public class CheckedConstraintsLog
      extends Object

  Class counting the checked privacy constraints and the loaded privacy constraints.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckedConstraintsLog()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addCheckedConstraints(Map<PrivacyConstraint.PrivacyLevel,LongAdder> checkedConstraints)` Adds checkedConstraints to the checked constraints total.
    `static void` | `addLoadedConstraint(PrivacyConstraint.PrivacyLevel level)` Add an occurence of the given privacy level to the loaded constraints log total.
    `static String` | `display()` Get string representing all contents of the checked constraints log.
    `static Map<PrivacyConstraint.PrivacyLevel,LongAdder>` | `getCheckedConstraints()`
    `static Map<PrivacyConstraint.PrivacyLevel,LongAdder>` | `getLoadedConstraints()`
    `static void` | `reset()` Remove all elements from checked constraints log and loaded constraints log.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckedConstraintsLog

          public CheckedConstraintsLog()

  - ### Method Detail

    - #### addCheckedConstraints

          public static void addCheckedConstraints(Map<PrivacyConstraint.PrivacyLevel,LongAdder> checkedConstraints)

      Adds checkedConstraints to the checked constraints total.
      Parameters:
        `checkedConstraints` - constraints checked by federated worker

    - #### addLoadedConstraint

          public static void addLoadedConstraint(PrivacyConstraint.PrivacyLevel level)

      Add an occurence of the given privacy level to the loaded constraints log total.
      Parameters:
        `level` - privacy level from loaded privacy constraint

    - #### reset

          public static void reset()

      Remove all elements from checked constraints log and loaded constraints log.

    - #### getCheckedConstraints

          public static Map<PrivacyConstraint.PrivacyLevel,LongAdder> getCheckedConstraints()

    - #### getLoadedConstraints

          public static Map<PrivacyConstraint.PrivacyLevel,LongAdder> getLoadedConstraints()

    - #### display

          public static String display()

      Get string representing all contents of the checked constraints log.
      Returns:
        string representation of checked constraints log.

Copyright © 2021 The Apache Software Foundation. All rights reserved.